%define phpsource       %{_prefix}/src/php-devel
%{expand:%(cat /usr/src/php-devel/PHP_BUILD||(echo -e "error: failed build dependencies:\n        php-devel >= 430 (4.3.0) is needed by this package." >/dev/stderr;kill -2 $PPID))}

%define rversion 2.0b
%define release	1mdk

%define realname mailparse
%define modname mailparse
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A15_%{modname}.ini

Summary:	Email message manipulation for PHP4
Name:		php-%{modname}
Version:	%{phpversion}_%{rversion}
Release:	%{release}
Group:		System/Servers
URL:		http://pecl.php.net/package/mailparse
License:	PHP License
Source0:	%{modname}-%{rversion}.tar.bz2
Source1:	%{modname}.ini.bz2
Patch0:		mailparse-0.9.4-silly_fix.patch.bz2
Requires:	php%{libversion}
Requires:	php-cli
Requires:	php-mbstring
BuildRequires:	php%{libversion}-devel
BuildRoot:	%{_tmppath}/%{name}-root

%description
Mailparse is an extension for parsing and working with email
messages. It can deal with rfc822 and rfc2045 (MIME) compliant
messages. 

%prep

%setup -q -n %{modname}-%{rversion}
%patch0 -p0

# fix strange attribs
find tests -type f|xargs chmod 644

%build

# use this simple hack instead of patch
#ln -s %{phpsource}/ext .

phpize
%configure2_5x \
    --enable-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{phpdir}/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

cat > README.%{modname} << EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
EOF

bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/php.d/%{inifile}
install -m755 %{soname} %{buildroot}%{phpdir}/extensions/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc tests CREDITS README try.php README.%{modname}
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%{phpdir}/extensions/%{soname}

%changelog
* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_2.0b-1mdk
- rebuilt for php-4.3.8

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_2.0b-2mdk
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_2.0b-1mdk
- rebuilt for php-4.3.7

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_2.0b-2mdk
- use the %%configure2_5x macro
- move scandir to /etc/php.d

* Wed May 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_2.0b-1mdk
- 2.0b
- fix url
- built for php 4.3.6

* Sun Nov 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_0.9.4-1mdk
- 0.9.4
- drop P1, it's included
- misc spec file fixes

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_0.9.3-1mdk
- built for php 4.3.4
- added P1

* Wed Aug 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_0.9.3-1mdk
- built for php 4.3.3
- misc spec file fixes

* Fri Aug 22 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_0.9.3-1mdk
- 1mdk was never released simply because it refused to compile...
- but and here's 0.9.3 anyhow...
- fixed P0

* Thu Jun 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_0.9.1-1mdk
- initial cooker contrib
- added P0
